ata_host_intr
Prev | Chapter 4. libata Library | Next

## Name

ata_host_intr — Handle host interrupt for given (port, task)

## Synopsis

`unsigned int ata_host_intr (` | struct ata_port * | ap,
| struct ata_queued_cmd * | qc`)`;

## Arguments

`ap`

  Port on which interrupt arrived (possibly...)

`qc`

  Taskfile currently active in engine

## Description

Handle host interrupt for given queued command. Currently, only DMA interrupts are handled. All other commands are handled via polling with interrupts disabled (nIEN bit).

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

One if interrupt was handled, zero if not (shared irq).

Prev | Up | Next
ata_qc_issue_prot | Home | ata_interrupt